Integrations statistics
Get integration dlstats by application id
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **integrations-statistics-controller** > `GET /api/statistics/application/{applicationId}/downlink/processed/{aggregation}`.
Get integration ulstats by application id
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **integrations-statistics-controller** > `GET /api/statistics/application/{applicationId}/uplink/processed/{aggregation}`.
Get integration dlstats by customer id
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **integrations-statistics-controller** > `GET /api/statistics/customer/{customerId}/downlink/processed/{aggregation}`.
Get integration ulstats by customer id
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **integrations-statistics-controller** > `GET /api/statistics/customer/{customerId}/uplink/processed/{aggregation}`.
Get integration dlstats by integration id
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **integrations-statistics-controller** > `GET /api/statistics/integration/{integrationId}/downlink/processed/{aggregation}`.
Get integration ulstats by integration id
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **integrations-statistics-controller** > `GET /api/statistics/integration/{integrationId}/uplink/{metric}/{aggregation}`.
Get integration dlstats by subcustomer id
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **integrations-statistics-controller** > `GET /api/statistics/subcustomer/{subcustomerId}/downlink/processed/{aggregation}`.
Get integration ulstats by subcustomer id
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **integrations-statistics-controller** > `GET /api/statistics/subcustomer/{subcustomerId}/uplink/processed/{aggregation}`.